/revisions/{locator}/dependencies

Retrieve dependencies for a given revision. This endpoint accepts parameters via query string. Be sure to chunk large requests to avoid exceeding URI/header size limites. (e.g., when filtering by a large list of locators).

The endpoint returns a streaming JSON array of dependencies with detailed information including licenses, issues, and metadata.

Path Params
string
required

The URL-encoded locator of the revision

Query Params
integer
1 to 10000

Maximum number of dependencies to return (min 1, max 10000)

integer
≥ 0

Number of dependencies to skip for pagination

boolean
Defaults to false

Whether to include ignored dependencies in the response

boolean
Defaults to false

Whether to include hash and version data for dependencies

boolean
Defaults to false

Whether to include full license text in the license information

includeLocators
array of strings

Array of locators to filter dependencies. Only dependencies matching these locators will be returned. Note: For large lists of locators that may exceed URL length limits, use POST /api/revisions/:locator/deps instead.

includeLocators
Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json